Deployments.ai Docs
Extensions

Show a hosted code tool artifact

GET /v1/hosted-code-artifacts/{contentHash} · SDK getHostedCodeArtifact · CLI deployments hosted-code-artifact show

GET
/v1/hosted-code-artifacts/{contentHash}

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

contentHash*string
Match^sha256:[a-f0-9]{64}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

HostedCodeArtifactResponse

application/json
  1. response
byteSize*number|||
contentHash*string
Match^sha256:[a-f0-9]{64}$
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
language*string
Value in"javascript""python"
sourceByteSize*number|||
sourceContentHash*string
Match^sha256:[a-f0-9]{64}$
sourceLanguage*string
Value in"javascript""python""typescript"
curl -X GET "https://example.com/v1/hosted-code-artifacts/string" \  -H "x-deployments-environment: string"
{  "byteSize": 0,  "contentHash": "string",  "createdAt": "2019-08-24T14:15:22Z",  "language": "javascript",  "sourceByteSize": 0,  "sourceContentHash": "string",  "sourceLanguage": "javascript"}